package com.sqx.modules.activity.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.sqx.common.query.PageQuery;
import com.sqx.common.utils.PageUtils;
import com.sqx.modules.activity.bo.ShopActivityBO;
import com.sqx.modules.activity.dto.JoinActivityDTO;
import com.sqx.modules.activity.dto.QuitActivityDTO;
import com.sqx.modules.activity.entity.ActivityShop;
import com.sqx.modules.activity.vo.ShopActivityGroupVO;
import com.sqx.modules.activity.vo.ShopActivityVO;
import org.apache.poi.ss.formula.functions.T;

import java.util.List;

/**
 * 活动商家
 * @author : codingliang
 * @date : 2024-6-17
 */
public interface ActivityShopService extends IService<ActivityShop> {

    List<Long> joinActivity(JoinActivityDTO dto);

    void quitActivity(QuitActivityDTO dto);

    void quitByActivityShopId(Long activityShopId);

    List<ActivityShop> getByActivityIds(List<Long> activityIds);

    PageUtils getShopByActivityId(Long activityId, PageQuery queryDTO);

    /**
     * 获取店铺活动分组
     * @param shopId 店铺id
     * @return 店铺活动分组
     */
    ShopActivityGroupVO getShopActivityGroup(Long shopId);

    /**
     * 根据店铺ids获取参与活动信息
     * @param shopIds 店铺id集合
     * @return 活动信息
     */
    List<ShopActivityVO> getActivityByShopIds(List<Long> shopIds);

    /**
     * 根据店铺id获取店铺参加的活动
     * @param shopId
     * @return
     */
    List<ShopActivityBO> getShopActivityBOByShopId(Long shopId);
}
